Get data frame analytics job configuration info

  • GET /_ml/data_frame/analytics/{id}
  • GET /_ml/data_frame/analytics
Auth

You can get information for multiple data frame analytics jobs in a single API request by using a comma-separated list of data frame analytics jobs or a wildcard expression.

Required privileges

Cluster privileges monitor_ml

Path parameters

id string optional

Identifier for the data frame analytics job. If you do not specify this option, the API returns information for the first hundred data frame analytics jobs.

Leave it out to use /_ml/data_frame/analytics.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

from number · default: 0

Skips the specified number of data frame analytics jobs.

size number · default: 100

Specifies the maximum number of data frame analytics jobs to obtain.

exclude_generated boolean · default: false

Indicates if certain fields should be removed from the configuration on retrieval. This allows the configuration to be in an acceptable format to be retrieved and then added to another cluster.

Response

application/json
count number required
data_frame_analytics object[] required

An array of data frame analytics job resources, which are sorted by the id value in ascending order.

allow_lazy_start boolean
analysis object required
create_time number
description string
dest object required
index string required

Defines the destination index to store the results of the data frame analytics job.

results_field string

Defines the name of the field in which to store the results of the analysis. Defaults to ml.

id string required
max_num_threads number
model_memory_limit string
source object required
index union oneOf required

Index or indices on which to perform the analysis. It can be a single index or index pattern as well as an array of indices or patterns. NOTE: If your source indices contain documents with the same IDs, only the document that is indexed last appears in the destination index.

One of: string[] or string
query {} Query

The Elasticsearch query domain-specific language (DSL). This value corresponds to the query object in an Elasticsearch search POST body. All the options that are supported by Elasticsearch can be used, as this object is passed verbatim to Elasticsearch. By default, this property has the following value: {"match_all": {}}.

runtime_mappings object

Definitions of runtime fields that will become part of the mapping of the destination index.

version string
_meta object